<?php

namespace MultiEvent\ThemeLloyds\Providers;

use Illuminate\Support\ServiceProvider;
use MultiEvent\Registries\ThemeRegistry;

class ThemeLloydsServiceProvider extends ServiceProvider
{
    /**
     * Boot the application events.
     *
     * @return void
     */
    public function boot()
    {
    }

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->registerConfig();
        $this->registerThemes();
    }

    /**
     * Register views.
     *
     * @return void
     */
    public function registerConfig()
    {
        $this->mergeConfigFrom(
            __DIR__.'/../../config/config.php',
            'theme-lloyds'
        );

        $this->publishes([
            __DIR__.'/../../resources' => base_path('resources')
        ], 'modules');
    }

    /**
     * Register themes.
     *
     * @return void
     */
    public function registerThemes()
    {
        /** @var ThemeRegistry $registry */
        $themes = app(ThemeRegistry::class);
        $themes->register('theme-lloyds');
    }
}
